<!-- Back to top button -->
<a id="button"></a>
<!--mobile header-->
<nav class="sticky-top p-0 d-block d-sm-block d-md-block d-lg-none d-xl-none d-xxl-none">
    <div class="container mw-100 bg-head text-white ">
        <div class="row ">
            <div class="al-s-c logo-res">
                <a class="btn-w tou-mob" data-bs-toggle="offcanvas" href="#offcanvasExample1" role="button" aria-controls="offcanvasExample1">
                    <i class="fa fa-bars can-bar" aria-hidden="true"></i>
                </a>
                <div class="offcanvas offcanvas-start p-0" tabindex="-1" id="offcanvasExample1" aria-labelledby="offcanvasExampleLabel1">
                    <div class="offcanvas-header" style="background: #232f3e;color: #fff;">
                        <h5 class="offcanvas-title mb-0" id="offcanvasExampleLabel">Tous Catégorie</h5>
                        <button type="button" class="text-reset mob-close-btn" data-bs-dismiss="offcanvas" aria-label=""><i
                        class="fa fa-times" aria-hidden="true"></i></button>
                    </div>
                    <div class="offcanvas-body">
                        <div>
                            <div class="containerr">
                                <div id="sidebar">
                                    <ul class="menu" style="height: auto;overflow: auto;">
                                        <li tabindex="{{i}}" *ngFor="let cat of allParentcat; let i=index" (click)="getSubcat(cat._id)">
                                            <span class="menu1">{{cat.title}}<i class="fa-solid fa-angle-right"></i></span>
                                            <ul class="submenu">
                                                <li><a href="javascript:void0;" class="back" style="padding-left:50px;"><i
                                             class="fa-solid fa-angle-left" aria-hidden="true"></i> MENU PRINCIPAL</a>
                                                </li>

                                                <li *ngFor="let child of childcat.data">
                                                    <a (click)="navigateCategory(child._id)">{{child.title}}</a>
                                                </li>

                                            </ul>
                                        </li>

                                    </ul>


 
                                    <ng-container *ngIf="user_id != undefined">
                                        <ul class="mob-acc" style="padding: 10px 30px;list-style-type: none;">
                                            <h6><strong><a routerLink="/my_account">Votre compte</a></strong></h6>
                                            <li class="mb-3">
                                                
                                                <ul class="pl-0">
                                                    
                                                     
                                                    <li><a routerLink="/product_order"> Vos commandes</a></li>
                                                    <li><a routerLink="/my_address">Votre adresse</a></li>
                                                    <li><a routerLink="/product_order">Vos paiements</a></li>
                                                    <li><a routerLink="/wish_list">Votre liste de souhaits </a>
                                                    </li>
                                        
                                                    <li><a href="https://vendeur.oblackmarket.ci/" target="_blank">Créer un compte
                                                professionnel gratuit </a></li>
                                                    <li><a (click)="logout()">Déconnexion</a></li>
                                        
                                                </ul>
                                            </li>
                                             
                                        </ul>
                                    </ng-container>




                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <a>
                    <img class="logo" routerLink="/home" src="./assets/build/img/logo/logo.png" width="80" alt="logo" title="logo">
                </a>
               
               
                <div class="float-right mob-pt-10 lh-0">
                    <ng-container *ngIf="user_id == undefined; else newElseMobileView">
                        <a class="mob-sign" routerLink="/login"><span class="se-con">Connexion <i class="fa fa-angle-right"
                            aria-hidden="true"></i> </span><i class="fa fa-user-circle" aria-hidden="true"></i>
                        </a>
                    </ng-container>
                    <ng-template #newElseMobileView>
                        <a class="mob-sign" routerLink="/my_account"><span class="se-con">{{username}} <i class="fa fa-angle-right"
                            aria-hidden="true"></i> </span><i class="fa fa-user-circle" aria-hidden="true"></i>
                        </a>
                    </ng-template>

                    <a class="text-white position-r" routerLink="/cart"><i class="fa-solid fa-cart-shopping fs-c"></i><span
                     class="cart-spn">{{itemlength}} </span></a>


                    <a class="text-white position-r new_class_logout" (click)="logout()"><i class="fa-solid fa-right-from-bracket"></i></a>
                     
                </div>


            </div>
            <div class="al-s-c">
                <div class="input-group">
                    <div class="ng-autocomplete form-control fc-bc h-45" style="padding:0px">
                        <ng-autocomplete [data]="allSearchProductsData" [searchKeyword]="keyword" placeholder="Recherche de produits" (selected)='selectEvent($event)' (inputChanged)='onChangeSearch($event)' (inputFocused)='onFocused($event)' historyIdentifier="allSearchProductsData"
                            [itemTemplate]="itemTemplate" [notFoundTemplate]="notFoundTemplate" [notFoundText]="notFoundText" (keyup)="onKeydownEvent($event)">
                        </ng-autocomplete>

                        <ng-template #itemTemplate let-item>
                            <a [innerHTML]="item.title"></a>
                        </ng-template>

                        <!-- <ng-template #notFoundTemplate let-notFound>
                            <div [innerHTML]="notFound"></div>
                        </ng-template> -->
                    </div>
                    <button class="srcg-clr h-45" type="submit" (click)="filterData()"><i class="fa fa-search"></i></button>
                </div>
            </div>
            <div id="nav-gwbar" class="nav-gwbar-single-row nav-genz nav-gwbar-white nav-gwbar-scroll">
                <a class="nav-a" *ngFor="let cat of allParentcat" href="/productList?cat_id={{cat._id}}">{{cat.title}}</a>

            </div>
            <!-- <div class="bonjor">
             <a  class="text-white mm" data-bs-toggle="modal" data-bs-target="#myModal">              
             <span class="b"><i class="fa-solid fa-globe mr-5"></i> Recherche d'événements</span>
             </a>
          </div> -->
        </div>
    </div>
</nav>
<!--end mobile header-->
<nav class="sticky-top p-0 d-none d-lg-block ">
    <div class="container mw-100 bg-head text-white ">
        <div class="row ">
            <div class="col-md-1 col-lg-1 col-xs-6 al-s-c logo-res">
                <a routerLink="/">
                    <img src="./assets/build/img/logo/logo.png" width="95" alt="logo" title="logo">
                </a>
            </div>
            <!-- <div class="col-md-2 col-lg-2  col-xs-6 al-s-c lh-14">
             <a class="text-white mm" data-bs-toggle="modal" data-bs-target="#myModal">
              
               <span class="b f-s-14"><i class="fa-solid fa-location-dot mr-10"></i> Entrez votre adresse</span>
            </a> 
            </div> -->
            <div class="col-md-7 col-lg-7  p-0 al-s-c offset-lg-1">
                <div class="input-group mt-3 mb-3">
                    <select class="select-srch" (change)="getvalCategory($event)">
                  <option value="">Tous</option>
                  <option class="upper_case_class" *ngFor="let cat of allParentcat" [value]="cat._id">{{cat.title}}</option>

               </select>
                    <!-- <input type="text" class="form-control fc-bc h-45" placeholder=""> -->
                    <div class="ng-autocomplete form-control fc-bc h-45" style="padding:0px">
                        <ng-autocomplete [data]="allSearchProductsData" [searchKeyword]="keyword" placeholder="Recherche de produits" (selected)='selectEvent($event)' (inputChanged)='onChangeSearch($event)' (inputFocused)='onFocused($event)' historyIdentifier="allSearchProductsData"
                            [itemTemplate]="itemTemplate" [notFoundTemplate]="notFoundTemplate" [notFoundText]="notFoundText" (keyup)="onKeydownEvent($event)" [(ngModel)]="Querystring">
                        </ng-autocomplete>

                        <ng-template #itemTemplate let-item>
                            <a [innerHTML]="item.title"></a>
                        </ng-template>

                        <ng-template #notFoundTemplate let-notFound>
                            <div [innerHTML]="notFound"></div>
                        </ng-template>
                    </div>
                    <button class="srcg-clr h-45" type="submit" (click)="filterData()"><i class="fa fa-search"></i></button>
                </div>
            </div>

            <div class="col-md-3 col-lg-3 al-s-c">
                <ul class="side-n">
                    <!-- <li class="">
                        <a class="text-white" routerLink="/event_home">Événements  </a>
                    </li> -->
                    <li class="mg-menu ">
                        <a class="text-white" *ngIf="user_id == undefined">
                            <span class="f-s-15">Compte <i class="fa-solid fa-angle-down p-l-5"></i></span>
                        </a>
                        <a class="text-white" *ngIf="user_id != undefined">
                            <span class="f-s-15">{{username}} <i class="fa-solid fa-angle-down p-l-5"></i></span>
                        </a>
                        <div class="mega-menu" *ngIf="user_id != undefined ; else userNotAvailable">
                            <div class="container menu-1000">

                                <!-- <div class="col-md-6 inner-mega-menu ">
                                    <h6 class="text-left"><b>Événements</b></h6>

                                    <ul>
                                        <li>
                                            <a routerLink="/event_order_tickets">Billets</a>
                                        </li>
                                        <li><a routerLink="/event_cart">Panier</a></li>
                                        <!-- <li><a>Suivant</a></li> --
                                        <li><a routerLink="/event_like">J'aime </a></li>
                                        <!-- <li><a>Messages </a></li> --
                                    </ul>
                                </div> -->
                                <div class="col-md-12 inner-mega-menu imm ">
                                    <h6 class="text-left"><b>Votre compte</b></h6>
                                    <ul>
                                        <li><a routerLink="/my_account">Votre compte</a></li>
                                        <li><a routerLink="/product_order"> Vos commandes</a></li>
                                        <li><a routerLink="/my_address">Votre adresse</a></li>
                                        <li><a routerLink="/product_order">Vos paiements</a></li>
                                        <li><a routerLink="/wish_list">Votre liste de souhaits </a>
                                        </li>

                                        <li><a href="" target="_blank">Créer un compte
                                    professionnel gratuit </a></li>
                                        <li><a (click)="logout()">Déconnexion</a></li>

                                    </ul>
                                </div>
                            </div>
                        </div>
                        <ng-template #userNotAvailable>
                            <div class="mega-menu">
                                <div class="container menu-1000">
                                    <div class="row " style="justify-content: center;">
                                        <button class="btn btn-sign" routerLink="/login">S'identifier</button>
                                        <p class="btn-sign-p" style="cursor: pointer;" routerLink="/register">Nouveau client ?</p>
                                    </div>
                                    <!-- <div class="col-md-6 inner-mega-menu ">
                                        <h6 class="text-left"><b>Événements</b></h6>
                                        <ul>
                                            <li>
                                                <a routerLink="/login">Billets</a>
                                            </li>
                                            <li><a routerLink="/login">Panier</a></li>
                                            <!-- <li><a>Suivant</a></li> --
                                            <li><a routerLink="/login">J'aime </a></li>
                                            <!-- <li><a>Messages </a></li> --
                                        </ul>
                                    </div> -->
                                    <div class="col-md-12 inner-mega-menu imm">
                                        <h6 class="text-left"><b>Votre compte</b></h6>
                                        <ul>
                                            <li><a routerLink="/login">Votre compte</a></li>
                                            <li><a routerLink="/login"> Vos commandes</a></li>
                                            <li><a routerLink="/login">Votre adresse</a></li>
                                            <li><a routerLink="/login">Vos paiements</a></li>
                                            <li><a routerLink="/login">Votre liste de souhaits </a>
                                            </li>

                                            <li><a href="https://vendeur.rawgadou.com/" target="_blank">Créer un compte
                                       professionnel gratuit </a></li>

                                        </ul>
                                    </div>
                                </div>
                            </div>
                        </ng-template>
                    </li>
                    <li class="">
                        <a class="text-white">
                            <i class="fa-solid fa-user-large fs-c"></i>
                            <!-- <img src="{{baseurl}}static/public/{{userPic}}" alt=""> -->

                        </a>
                    </li>
                    <li class=" a-s-c "><a class="text-white position-r" routerLink="/cart"><i
                        class="fa-solid fa-cart-shopping fs-c"></i><span class="cart-spn">{{itemlength}}</span></a></li>
                </ul>
            </div>
        </div>
    </div>
</nav>
<div class="container mw-100 d-none d-lg-block">
    <div class="row">
        <nav class="navbar navbar-expand-sm navbar-dark nav-bg">
            <div class="container-fluid p-0">
                <a class="btn-w  btn-tous" data-bs-toggle="offcanvas" href="#offcanvasExample" role="button" aria-controls="offcanvasExample">
                    <i class="fa fa-bars" aria-hidden="true"></i> Tous
                </a>
                <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#mynavbar">
                    <span class="navbar-toggler-icon"></span>
                </button>
                <div class="collapse navbar-collapse" id="mynavbar">
                    <ul class="navbar-nav me-auto main-m">
                        <li class="nav-item" *ngFor="let cat of allFeaturecat">
                            <a class="nav-link" href="/productList?cat_id={{cat._id}}">{{cat.title}}   </a>
                        </li>


                    </ul>

                </div>

                <a _ngcontent-hlh-c43="" href="https://vendeur.rawgadou.com/" class="btn btn-primary seller_link"  target="_blank" >Vendez sur Rawgadou </a>

            </div>
        </nav>
        <div class="offcanvas offcanvas-start p-0" tabindex="-1" id="offcanvasExample" aria-labelledby="offcanvasExampleLabel">
            <div class="offcanvas-header" style="background: #000;color: #fff;">
                <h3 class="offcanvas-title mb-0" id="offcanvasExampleLabel"> Tous Catégorie</h3>
                <button type="button" class="text-reset close-can" data-bs-dismiss="offcanvas" aria-label="Close"><i
                  class="fa-solid fa-xmark"></i></button>
            </div>
            <div class="offcanvas-body">
                <div>
                    <div class="containerr">

                        <div id="sidebar">
                            <ul class="menu" style="height:100vh;overflow: auto;padding-bottom: 80px;">

                                <h6 style="padding-left: 28px;font-size:20px;padding-top: 10px;margin-top: 10px;">
                                    Toutes les catégories</h6>

                                <li tabindex="{{i}}" *ngFor="let cat of allParentcat; let i=index" (click)="getSubcat(cat._id)">
                                    <span class="menu1 upper_case_class">{{cat.title}}<i class="fa-solid fa-angle-right"></i></span>
                                    <ul class="submenu">
                                        <li><a href="javascript:void0;" class="back" style="padding-left:50px;"><i
                                       class="fa-solid fa-angle-left" aria-hidden="true"></i> MENU PRINCIPAL</a></li>

                                        <li class="upper_case_class" *ngFor="let child of childcat.data">
                                            <a (click)="navigateCategory(child._id)">{{child.title}}</a>
                                        </li>

                                    </ul>
                                </li>


                            </ul>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<!--End header body-->